using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Remontor.Seacher
{
    internal class NoResult : ISeacherResult
    {
        private string Status;

        public NoResult(string status)
        {
            Status = status;
        }

        public string toString()
        {
            return Status;
        }

        public IComp Result()
        {
            return null;
        }

        public string ResultString()
        {
            return Status;
        }
    }
}
